diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index ed43578..5c82743 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -148,7 +148,7 @@ define(
         width: 500,
         isCloseable: false,
         isPrivate: true,
-        content: '<textarea id="sql-textarea" name="sql-textarea"></textarea>'
+        content: '<div class="sql_textarea"><textarea id="sql-textarea" name="sql-textarea"></textarea></div>'
       }),
       // Dependencies of the object
       'dependencies': new pgAdmin.Browser.Panel({
diff --git a/web/pgadmin/static/css/codemirror.overrides.css b/web/pgadmin/static/css/codemirror.overrides.css
index 217cdda..178b038 100644
--- a/web/pgadmin/static/css/codemirror.overrides.css
+++ b/web/pgadmin/static/css/codemirror.overrides.css
@@ -73,3 +73,11 @@
 .CodeMirror-gutters {
   z-index: 2;
 }
+
+.sql_textarea {
+  height: 100%;
+}
+
+.sql_textarea .CodeMirror-scroll {
+  z-index: 0;
+}
